[script]
n0=;########################################### Zashita tematic ####################################################################  
n1=;###################################### B y    _MirC-tEAm       #############################################################
n2=;#########################################################################################################################
n3=
n4=alias security {
n5=  if $dialog(security) = $null { dialog -m security security }
n6=}
n7=
n8=dialog security {
n9=  icon pics\serv.ico
n10=  title "Система безопасности"
n11=  size -1 -1 210 155
n12=  check "Защита от деопа" , 301, 6 5 110 20
n13=  check "Защита от кика" , 302, 6 30 110 20
n14=  check "Защита от бана" , 303, 6 55 110 20
n15=  check "Защита от гостей" , 304, 6 80 110 20
n16=  button "Настроить", 311, 120 5 85 20
n17=  button "Настроить", 312, 120 30 85 20
n18=  button "Настроить", 313, 120 55 85 20
n19=  button "Настроить", 314, 120 80 85 20
n20=  check "Сказать сообщение нарушителю", 10, 6 103 200 20
n21=  button "ОК", 100, 5 125 200 26, cancel
n22=}
n23=
n24=on *:dialog:security:sclick:201: {
n25=  did -c security 10,11,12,13,14,15,20,21,22,23,24,25,26,27,30,31,32,33,34,35,40,41
n26=}
n27=
n28=on *:dialog:security:sclick:202: {
n29=  did -u security 10,11,12,13,14,15,20,21,22,23,24,25,26,27,30,31,32,33,34,35,40,41
n30=}
n31=
n32=on *:dialog:security:sclick:203: {
n33=  did -c security 10,13,20,21,22,23,24,25,30,31,32,33,34,35,40
n34=  did -u security 11,12,14,15,26,27,41
n35=}
n36=
n37=on *:dialog:security:init:*: {
n38=  if %ondeop.enabled = on { did -c security 301 }
n39=  if %onkick.enabled = on { did -c security 302 }
n40=  if %onban.enabled = on { did -c security 303 }
n41=  if %onguest.enabled = on { did -c security 304 }
n42=  ;did -ft $dname 100
n43=}
n44=
n45=on *:dialog:security:sclick:301: {
n46=  if $did(301).state = 1 { /set %ondeop.enabled on } | else { /set %ondeop.enabled off }
n47=}
n48=
n49=on *:dialog:security:sclick:302: {
n50=  if $did(302).state = 1 { /set %onkick.enabled on } | else { /set %onkick.enabled off }
n51=}
n52=
n53=on *:dialog:security:sclick:303: {
n54=  if $did(303).state = 1 { /set %onban.enabled on } | else { /set %onban.enabled off }
n55=}
n56=
n57=on *:dialog:security:sclick:304: {
n58=  if $did(304).state = 1 { /set %onguest.enabled on } | else { /set %onguest.enabled off }
n59=}
n60=
n61=on *:dialog:security:sclick:10: {
n62=  if $did(10).state = 1 { /set %secspeak.enabled on } | else { /set %secspeak.enabled off }
n63=}
n64=
n65=on *:dialog:security:sclick:311: {
n66=  if !$dialog(secdeop) { dialog -m secdeop secdeop }
n67=}
n68=
n69=on *:dialog:security:sclick:312: {
n70=  if !$dialog(seckick) { dialog -m seckick seckick }
n71=}
n72=
n73=on *:dialog:security:sclick:313: {
n74=  if !$dialog(secban) { dialog -m secban secban }
n75=}
n76=
n77=on *:dialog:security:sclick:314: {
n78=  if !$dialog(secguest) { dialog -m secguest secguest }
n79=}
n80=
n81=dialog secdeop {
n82=  icon pics\serc.ico
n83=  title "При деопе"
n84=  size -1 -1 200 155
n85=  check "Вернуть себе оп",           10,7  5 190  18
n86=  check "Снять оп у нахала",         11,7  25 190  18
n87=  check "Забанить его",              12,7  45 190  18
n88=  check "Кикнуть",                   13,7  65 190  18
n89=  check "Удалить из списка доступа", 14,7 85 190  18
n90=  check "Поставить акик",            15,7 105 190  18
n91=  button "ОК", 100, 5 125 190 26,cancel
n92=}
n93=
n94=on *:dialog:secdeop:init:*: {
n95=  if %ondeop.opme = on { did -c secdeop 10 }
n96=  if %ondeop.deop = on { did -c secdeop 11 }
n97=  if %ondeop.ban = on { did -c secdeop 12 }
n98=  if %ondeop.kick = on { did -c secdeop 13 }
n99=  if %ondeop.del = on { did -c secdeop 14 }
n100=  if %ondeop.akick = on { did -c secdeop 15 }
n101=}
n102=
n103=on *:dialog:secdeop:sclick:*: {
n104=  if $did(10).state = 1 { /set %ondeop.opme on } | else { /set %ondeop.opme off }
n105=  if $did(11).state = 1 { /set %ondeop.deop on } | else { /set %ondeop.deop off }
n106=  if $did(12).state = 1 { /set %ondeop.ban on } | else { /set %ondeop.ban off }
n107=  if $did(13).state = 1 { /set %ondeop.kick on } | else { /set %ondeop.kick off }
n108=  if $did(14).state = 1 { /set %ondeop.del on } | else { /set %ondeop.del off }
n109=  if $did(15).state = 1 { /set %ondeop.akick on } | else { /set %ondeop.akick off }
n110=}
n111=
n112=dialog seckick {
n113=  icon icons\security.ico
n114=  title "При кике"
n115=  size -1 -1 200 195
n116=  check "Пригласить себя на канал",  20,7  5 190  18
n117=  check "Перезайти",                 21,7  25 190  18
n118=  check "Снять у себя акик",         22,7  45 190  18
n119=  check "Снять оп у нахала",         23,7  65 190  18
n120=  check "Забанить его",              24,7 85 190  18
n121=  check "Кикнуть",                   25,7 105 190  18
n122=  check "Удалить из списка доступа", 26,7 125 190  18
n123=  check "Поставить акик",            27,7 145 190  18
n124=  button "ОК", 100, 5 165 190 26, cancel
n125=}
n126=
n127=on *:dialog:seckick:init:*: {
n128=  if %onkick.invite = on { did -c seckick 20 }
n129=  if %onkick.rejoin = on { did -c seckick 21 }
n130=  if %onkick.delakick = on { did -c seckick 22 }
n131=  if %onkick.deop = on { did -c seckick 23 }
n132=  if %onkick.ban = on { did -c seckick 24 }
n133=  if %onkick.kick = on { did -c seckick 25 }
n134=  if %onkick.del = on { did -c seckick 26 }
n135=  if %onkick.akick = on { did -c seckick 27 }
n136=}
n137=
n138=on *:dialog:seckick:sclick:*: {
n139=  if $did(20).state = 1 { /set %onkick.invite on } | else { /set %onkick.invite off }
n140=  if $did(21).state = 1 { /set %onkick.rejoin on } | else { /set %onkick.rejoin off }
n141=  if $did(22).state = 1 { /set %onkick.delakick on } | else { /set %onkick.delakick off }
n142=  if $did(23).state = 1 { /set %onkick.deop on } | else { /set %onkick.deop off }
n143=  if $did(24).state = 1 { /set %onkick.ban on } | else { /set %onkick.ban off }
n144=  if $did(25).state = 1 { /set %onkick.kick on } | else { /set %onkick.kick off }
n145=  if $did(26).state = 1 { /set %onkick.del on } | else { /set %onkick.del off }
n146=  if $did(27).state = 1 { /set %onkick.akick on } | else { /set %onkick.akick off }
n147=}
n148=
n149=dialog secban {
n150=  icon pics\serv.ico
n151=  title "При бане"
n152=  size -1 -1 200 155
n153=  check "Разбанить себя",            30,7  5 190  18
n154=  check "Снять оп у нахала",         31,7  25 190  18
n155=  check "Поставить бан ему",         32,7  45 190  18
n156=  check "Кикнуть",                   33,7  65 190  18
n157=  check "Удалить из списка доступа", 34,7 85 190  18
n158=  check "Поставить акик",            35,7 105 190  18
n159=  button "ОК", 100, 5 125 190 26, cancel
n160=}
n161=
n162=on *:dialog:secban:init:*: {
n163=  if %onban.unban = on { did -c secban 30 }
n164=  if %onban.deop = on { did -c secban 31 }
n165=  if %onban.ban = on { did -c secban 32 }
n166=  if %onban.kick = on { did -c secban 33 }
n167=  if %onban.del = on { did -c secban 34 }
n168=  if %onban.akick = on { did -c secban 35 }
n169=
n170=}
n171=
n172=on *:dialog:secban:sclick:*: {
n173=  if $did(30).state = 1 { /set %onban.unban on } | else { /set %onban.unban off }
n174=  if $did(31).state = 1 { /set %onban.deop on } | else { /set %onban.deop off }
n175=  if $did(32).state = 1 { /set %onban.ban on } | else { /set %onban.ban off }
n176=  if $did(33).state = 1 { /set %onban.kick on } | else { /set %onban.kick off }
n177=  if $did(34).state = 1 { /set %onban.del on } | else { /set %onban.del off }
n178=  if $did(35).state = 1 { /set %onban.akick on } | else { /set %onban.akick off }
n179=}
n180=
n181=dialog secguest {
n182=  icon pics\serv.ico
n183=  title "При входе гостя"
n184=  size -1 -1 200 75
n185=  check "Кикнуть его",              40,7  5 190  18
n186=  check "Поставить ему бан",        41,7  25 190  18
n187=  button "ОК", 100, 5 45 190 26, cancel
n188=}
n189=
n190=on *:dialog:secguest:init:*: {
n191=  if %onguest.kick = on { did -c secguest 40 }
n192=  if %onguest.ban = on { did -c secguest 41 }
n193=
n194=}
n195=
n196=on *:dialog:secguest:sclick:*: {
n197=  if $did(40).state = 1 { /set %onguest.kick on } | else { /set %onguest.kick off }
n198=  if $did(41).state = 1 { /set %onguest.ban on } | else { /set %onguest.ban off }
n199=}
n200=
n201=on *:deop:#:{ 
n202=  if (%ondeop.enabled == off) { /halt }
n203=  if ($nick == $me) { /halt }
n204=  if ($nick == chanserv) { /halt }
n205=  if ($nick == nickserv) { /halt }
n206=  if ($nick == memoserv) { /halt }
n207=  if ($nick == services.irc.lv) { /halt }
n208=  if ($opnick == $me) {
n209=    if (%ondeop.opme = on) { /msg chanserv op $chan $me }
n210=    if (%ondeop.deop = on) { /mode $chan -o $nick }
n211=    .timer 1 1 if (%ondeop.ban = on) { /mode $chan +b $nick }
n212=    .timer 1 1 if (%ondeop.kick = on) { /kick $chan $nick $iif(%secspeak.enabled == on,$read sys\kick.txt, ) }
n213=    .timer 1 1 if (%ondeop.del = on) { /msg chanserv access $chan del $nick }
n214=    .timer 1 1 if (%ondeop.akick = on) { /msg chanserv akick $chan add $nick }
n215=    .timer 1 1 if (%ondeop.akick = on) { /msg chanserv akick $chan add $address }
n216=    /echo 13 $nick 12 попытается 14Deopнуть14 вас на канале 4 $chan 8|
n217=    ppop $me с тебя пытается снять оп $nick , на $chan 
n218=    /halt
n219=  }
n220=}
n221=
n222=on *:kick:#:{   
n223=  if (%onkick.enabled == off) { /halt }
n224=  if ($nick == $me) { /halt }
n225=  if ($nick == nickserv) { /halt }
n226=  if ($nick == memoserv) { /halt }
n227=  if ($knick == $me) {
n228=    if (%onkick.invite = on) { /msg chanserv invite $chan $me } 
n229=    .timer 1 1 if (%onkick.delakick = on) { /msg chanserv akick $chan del $address($me,2) }
n230=    if (%onkick.delakick = on) { /msg chanserv akick $chan del $address($me,3) }
n231=    if (%onkick.rejoin = on) { /join $chan }
n232=    .timer 1 1 if (%onkick.deop = on) { /mode $chan -o $nick }
n233=    .timer 1 1 if (%onkick.ban = on) { /ban $chan $address($nick,2) }
n234=    .timer 1 1 if (%onkick.kick = on) { /kick $chan $nick $iif(%secspeak.enabled == on,$read sys\kick.txt, ) }
n235=    .timer 1 1 if (%onkick.del = on) { /msg chanserv access $chan del $nick }
n236=    .timer 1 1 if (%onkick.akick = on) { /msg chanserv akick $chan add $nick }
n237=    .timer 1 1 if (%onkick.akick = on) { /msg chanserv akick $chan add $address }
n238=    join $chan
n239=    /echo 13 $nick 12 попытался кикнуть вас с канала 4 $chan 8|
n240=    ppop $me тебя пытается кикнуть $nick , на $chan 
n241=    /halt 
n242=  }
n243=}
n244=
n245=on *:ban:#:{ 
n246=  if (%onban.enabled == off) { /halt }
n247=  if ($nick == $me) { /halt }
n248=  if ($nick == chanserv) { /halt }
n249=  if ($nick == nickserv) { /halt }
n250=  if ($nick == memoserv) { /halt }
n251=  if ($nick == services.irc.lv) { /halt }
n252=  if ($bnick == $me) {
n253=    if (%onban.unban = on) { /mode $chan -b $banmask }
n254=    if (%onban.unban = on) { /msg chanserv unban $chan $me }
n255=    if (%onban.unban = on) { /msg chanserv unban $chan $banmask }
n256=    if (%onban.unban = on) { /msg chanserv unban $chan $address } 
n257=    if (%onban.deop = on) { /mode $chan -o $nick }
n258=    .timer 1 1 if (%onban.ban = on) { /ban $chan $nick }
n259=    .timer 1 1 if (%onban.ban = on) { /ban $chan $address($nick,2) }
n260=    .timer 1 1 if (%onban.kick = on) { /kick $chan $nick $iif(%secspeak.enabled == on,$read sys\kick.txt, ) }
n261=    .timer 1 1 if (%onban.del = on) { /msg chanserv access $chan del $nick }
n262=    .timer 1 1 if (%onban.akick = on) { /msg chanserv akick $chan add $nick } 
n263=    .timer 1 1 if (%onban.akick = on) { /msg chanserv akick $chan add $address } 
n264=    /echo 13 $nick 12 попытается 14Забанить14 вас на канале 4 $chan 8|
n265=    ppop $me тебя пытается забанить $nick , на $chan 
n266=    /halt 
n267=  }
n268=}
n269=
n270=on *:nick: {
n271=  var %chans 1  
n272=  if (($pos($newnick,Guest,1) == 1) && ($newnick != $me)) || ($me isin $newnick) {  
n273=    while ($chan(%chans) != $null) {
n274=      if (($newnick ison $chan(%chans)) && ($me isop $chan(%chans))) && ($newnick != $me) {
n275=        if (%onguest.ban = on) { /ban $chan(%chans) $nick }
n276=        if (%onguest.kick = on) { /kick $chan $nick $iif(%secspeak.enabled == on,$read sys\guest.txt, ) } 
n277=      }
n278=      inc %chans
n279=    }
n280=  }
n281=}
n282=
n283=;###################################################################################################################
n284=;#########################################  SEARCHFIND  ############################################################
n285=;###################################################################################################################
n286=
n287=alias searchfind {
n288=  if !$dialog(searchfind) { dialog -m searchfind searchfind }
n289=}
n290=
n291=dialog searchfind {
n292=  title "Поисковая машина"
n293=  size -1 -1 302 275
n294=  icon icons\search.ico
n295=  box "Что вы хотите найти:", 123, 5 5 290 46
n296=  edit %searchfind.string, 1, 15 22 270 20 
n297=  box "На каком узле искать информацию:", 124, 5 55 290 185
n298=  radio "www.yahoo.com", 10, 20 73 270 20 
n299=  radio "www.rambler.ru", 20, 20 93 270 20 
n300=  radio "www.search.com", 30, 20 113 270 20 
n301=  radio "www.download.com", 40, 20 133 270 20 
n302=  radio "www.softsearch.com", 50, 20 153 270 20 
n303=  radio "www.google.com", 60, 20 173 270 20 
n304=  radio "www.google.ru", 70, 20 193 270 20 
n305=  radio "www.yandex.ru", 80, 20 213 270 20 
n306=  button "Искать", 100, 5 245 290 26
n307=}
n308=
n309=on *:dialog:searchfind:init:*: {
n310=  if %searchfind.web == yahoo { did -c searchfind 10 }
n311=  if %searchfind.web == rambler { did -c searchfind 20 }
n312=  if %searchfind.web == searchcom { did -c searchfind 30 }
n313=  if %searchfind.web == downloadcom { did -c searchfind 40 }
n314=  if %searchfind.web == softsearch { did -c searchfind 50 }
n315=  if %searchfind.web == googlecom { did -c searchfind 60 }
n316=  if %searchfind.web == googleru { did -c searchfind 70 }
n317=  if %searchfind.web == yandex { did -c searchfind 80 }
n318=}
n319=
n320=on *:dialog:searchfind:sclick:100: {
n321=  if $did(10).state == 1 { /set %searchfind.web yahoo }
n322=  if $did(20).state == 1 { /set %searchfind.web rambler }
n323=  if $did(30).state == 1 { /set %searchfind.web searchcom }
n324=  if $did(40).state == 1 { /set %searchfind.web downloadcom }
n325=  if $did(50).state == 1 { /set %searchfind.web softsearch }
n326=  if $did(60).state == 1 { /set %searchfind.web googlecom }
n327=  if $did(70).state == 1 { /set %searchfind.web googleru }
n328=  if $did(80).state == 1 { /set %searchfind.web yandex }
n329=  /set %searchfind.string $did(1).text
n330=  var %searchfind.temp $replace(%searchfind.string,$chr(32),+)
n331=  if %searchfind.web == yahoo { /url -an http://search.yahoo.com/search?p= $+ %searchfind.temp $+ &ei=UTF-8&fr=FP-tab-web-t&cop=mss&tab= }
n332=  if %searchfind.web == rambler { /url -an http://search.rambler.ru/srch?words= $+ %searchfind.temp $+ &where=1 }
n333=  if %searchfind.web == searchcom { /url -an http://www.search.com/search?q= $+ %searchfind.temp }
n334=  if %searchfind.web == downloadcom { /url -an http://www.download.com/3120-20-0.html?qt= $+ %searchfind.temp $+ &tg=dl-2001 }
n335=  if %searchfind.web == softsearch { /url -an http://www.softsearch.ru/pcgi/search.cgi?text= $+ %searchfind.temp $+ &w=2 }
n336=  if %searchfind.web == googlecom { /url -an http://www.google.com/search?hl=en&ie=UTF-8&q= $+ %searchfind.temp $+ &meta=  }
n337=  if %searchfind.web == googleru { /url -an http://www.google.ru/search?hl=ru&ie=UTF-8&q= $+ %searchfind.temp $+ &btnG=%D0%9F%D0%BE%D0%B8%D1%81%D0%BA+%D0%B2+Google&lr= }
n338=  if %searchfind.web == yandex { /url -an http://www.yandex.ru//yandsearch?stype=www&nl=0&text= $+ %searchfind.temp }
n339=}
